> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/staking/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/staking/ethereum/staking-api-reference/authentication.md).

# Authentication

## POST /oauth/token

> Allows users to securely authenticate with API credentials through Auth0, and in return, provides a JSON Web Token (JWT) that can be used to access the rest of the API endpoints.

```json
{"openapi":"3.0.3","info":{"title":"Validation Cloud Staking API","version":"1.0.0"},"servers":[{"url":"https://validationcloud.us.auth0.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GetTokenRequest":{"type":"object","properties":{"client_id":{"type":"string"},"client_secret":{"type":"string"},"grant_type":{"type":"string","default":"client_credentials","enum":["client_credentials"]},"audience":{"type":"string","default":"staking","enum":["staking"]}}},"GetTokenResponse":{"type":"object","properties":{"access_token":{"type":"string"},"scope":{"type":"string"},"expires_in":{"type":"string"},"token_type":{"type":"string"}}}}},"paths":{"/oauth/token":{"post":{"description":"Allows users to securely authenticate with API credentials through Auth0, and in return, provides a JSON Web Token (JWT) that can be used to access the rest of the API endpoints.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTokenRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTokenResponse"}}}}},"tags":["Authentication"]}}}}
```
